import { Pipe, PipeTransform } from '@angular/core';
import * as utils from '@app/degree-planner/shared/utils';

@Pipe({
  name: 'academicYearState',
})
export class AcademicYearStatePipe implements PipeTransform {
  transform(yearCode: string, activeTermCodes: string[]): string {
    const centuryOffset = parseInt(yearCode.substr(0, 1), 10);
    const yearOffset = parseInt(yearCode.substr(1, 2), 10);
    const toYear = 1900 + centuryOffset * 100 + yearOffset;
    const fromYear = toYear - 1;
    const era = utils.pickYearEra(yearCode, activeTermCodes);
    switch (era) {
      case 'past':
        return `Past: ${fromYear}-${toYear}`;
      case 'future':
        return `Future: ${fromYear}-${toYear}`;
      default:
        return `Current: ${fromYear}-${toYear}`;
    }
  }
}
